Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/sidebar_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/sidebar_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/sidebar_block_theme.php	(revision 450)
@@ -1,3 +1,4 @@
 <?php
+// Block Version: 1.0
 function sidebar_block($options)
 {
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/tag_cloud_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/tag_cloud_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/tag_cloud_block_theme.php	(revision 450)
@@ -1,3 +1,4 @@
 <?php
+// Block Version: 1.0
 function tag_cloud_block($options)
 {
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/widget_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/widget_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/widget_block_theme.php	(revision 450)
@@ -1,3 +1,4 @@
 <?php
+// Block Version: 1.0
 function widget_block($options)
 {
@@ -5,5 +6,7 @@
 	$this_template = empty( $options[1] ) ? 'db:'.$mydirname.'_block_widget.html' : trim( $options[1] );
 	$title_show = empty( $options[2] ) ? false : true ;
-    $selected = array_slice($options,3); // get allowed cats
+	$widget_select = empty( $options[3] ) ? '' : $options[3] ;
+
+	$selected = explode(',' , $widget_select);
 
 	$output = '';
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/xoops_version.php
===================================================================
--- trunk/xpressme_integration_kit/xoops_version.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/xoops_version.php	(revision 450)
@@ -47,5 +47,5 @@
 
 // status
-$modversion['codename'] = "Bata2(r425)";
+$modversion['codename'] = "RC1";
 
 // onInstall, onUpdate, onUninstall
@@ -144,5 +144,5 @@
 	'edit_func' 	=> "b_". $mydirname . "_content_edit" ,
 	'template'		=> '' ,
-	'options'		=> $mydirname. '||0|0|10|0|100||||0' ,
+	'options'		=> $mydirname. '||10|0|100||||0|0|0' ,
 	'can_clone'		=> true ,
 	'func_num'		=> $b_no,
@@ -291,5 +291,5 @@
 		'show_func' 	=> "b_". $mydirname . "_widget_show" ,
 		'edit_func' 	=> "b_". $mydirname . "_widget_edit" ,
-		'options'		=> $mydirname. '||1' ,
+		'options'		=> $mydirname. '||1|' ,
 		'can_clone'		=> true ,
 		'func_num'		=> $b_no,	
